image: hyviquel/pp000:cuda01

stages:
  - all

# This stage compiles the files and tests the program
all:
  tags:
    - parsusy
  stage: all
  script:
    - mkdir build
    - mkdir outputs
    - cd build
    - cmake -DCMAKE_BUILD_TYPE=Release ..
    - make VERBOSE=1
    - ./matsum < ../inputs/arq1.in | tee ../outputs/arq1-serial.out
    - ./matsum < ../inputs/arq2.in | tee ../outputs/arq2-serial.out
    - ./matsum < ../inputs/arq3.in | tee ../outputs/arq3-serial.out
    - ./matsum < ../inputs/arq4.in | tee ../outputs/arq4-serial.out
    - ./matsum < ../inputs/arq5.in | tee ../outputs/arq5-serial.out
    - ./matsum < ../inputs/arq6.in | tee ../outputs/arq6-serial.out
  artifacts:
    paths:
      # We need to publish our results so others can check them
      - ./outputs
